<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LEnterpriseAltNum StructType
 * @subpackage Structs
 */
class LEnterpriseAltNum extends AbstractStructBase
{
    /**
     * The numberMask
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $numberMask;
    /**
     * The addToLocalRoutePartition
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $addToLocalRoutePartition;
    /**
     * The routePartition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $routePartition;
    /**
     * The isUrgent
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isUrgent;
    /**
     * The advertiseGloballyIls
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $advertiseGloballyIls;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LEnterpriseAltNum
     * @uses LEnterpriseAltNum::setNumberMask()
     * @uses LEnterpriseAltNum::setAddToLocalRoutePartition()
     * @uses LEnterpriseAltNum::setRoutePartition()
     * @uses LEnterpriseAltNum::setIsUrgent()
     * @uses LEnterpriseAltNum::setAdvertiseGloballyIls()
     * @uses LEnterpriseAltNum::setUuid()
     * @param string $numberMask
     * @param string $addToLocalRoutePartition
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition
     * @param string $isUrgent
     * @param string $advertiseGloballyIls
     * @param string $uuid
     */
    public function __construct($numberMask = null, $addToLocalRoutePartition = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition = null, $isUrgent = null, $advertiseGloballyIls = null, $uuid = null)
    {
        $this
            ->setNumberMask($numberMask)
            ->setAddToLocalRoutePartition($addToLocalRoutePartition)
            ->setRoutePartition($routePartition)
            ->setIsUrgent($isUrgent)
            ->setAdvertiseGloballyIls($advertiseGloballyIls)
            ->setUuid($uuid);
    }
    /**
     * Get numberMask value
     * @return string|null
     */
    public function getNumberMask()
    {
        return $this->numberMask;
    }
    /**
     * Set numberMask value
     * @param string $numberMask
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setNumberMask($numberMask = null)
    {
        $this->numberMask = $numberMask;
        return $this;
    }
    /**
     * Get addToLocalRoutePartition value
     * @return string|null
     */
    public function getAddToLocalRoutePartition()
    {
        return $this->addToLocalRoutePartition;
    }
    /**
     * Set addToLocalRoutePartition value
     * @param string $addToLocalRoutePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setAddToLocalRoutePartition($addToLocalRoutePartition = null)
    {
        $this->addToLocalRoutePartition = $addToLocalRoutePartition;
        return $this;
    }
    /**
     * Get routePartition value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRoutePartition()
    {
        return $this->routePartition;
    }
    /**
     * Set routePartition value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setRoutePartition(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition = null)
    {
        $this->routePartition = $routePartition;
        return $this;
    }
    /**
     * Get isUrgent value
     * @return string|null
     */
    public function getIsUrgent()
    {
        return $this->isUrgent;
    }
    /**
     * Set isUrgent value
     * @param string $isUrgent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setIsUrgent($isUrgent = null)
    {
        $this->isUrgent = $isUrgent;
        return $this;
    }
    /**
     * Get advertiseGloballyIls value
     * @return string|null
     */
    public function getAdvertiseGloballyIls()
    {
        return $this->advertiseGloballyIls;
    }
    /**
     * Set advertiseGloballyIls value
     * @param string $advertiseGloballyIls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setAdvertiseGloballyIls($advertiseGloballyIls = null)
    {
        $this->advertiseGloballyIls = $advertiseGloballyIls;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LEnterpriseAltNum
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
